Skip to content
WorkRoad home
REST API

Get language, time zone and privacy

GET
/settings/preferences

The app language, the account's time zone and leaderboard visibility.

Required scopes: settings:view

Authorization

headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
data*
Example Request
curl -X GET 'https://workroad.app/api/v1/settings/preferences' \  -H 'Authorization: Bearer $WORKROAD_API_KEY'
Example Response
{  "data": {    "locale": "en",    "timeZone": "Europe/London",    "showOnLeaderboards": true  }}